spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.PscPackage

# Documentation

data PscPackage #

Constructors

PscPackage |

Fields

- name :: Text
- set :: Text
- source :: Text
- depends :: [Text]

#### Instances

Instances details

FromJSON PscPackage # |
Instance details Defined in Spago.PscPackage Methods parseJSON :: Value -> Parser PscPackage # parseJSONList :: Value -> Parser [PscPackage] # omittedField :: Maybe PscPackage #
ToJSON PscPackage # |
Instance details Defined in Spago.PscPackage Methods toJSON :: PscPackage -> Value # toEncoding :: PscPackage -> Encoding # toJSONList :: [PscPackage] -> Value # toEncodingList :: [PscPackage] -> Encoding # omitField :: PscPackage -> Bool #
Generic PscPackage # |

Instance details

Defined in Spago.PscPackage

Associated Types

type Rep PscPackage |

Instance details

Defined in Spago.PscPackage

type Rep PscPackage = D1 ('MetaData "PscPackage" "Spago.PscPackage" "spago-0.21.0-7wZ2i2dSXT92RnTwenz8EK" 'False) (C1 ('MetaCons "PscPackage" 'PrefixI 'True) ((S1 ('MetaSel ('Just "name") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "set") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)) :*: (S1 ('MetaSel ('Just "source") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "depends") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Text]))))

Methods

from :: PscPackage -> Rep PscPackage x #

to :: Rep PscPackage x -> PscPackage #

Show PscPackage # |
Instance details Defined in Spago.PscPackage Methods showsPrec :: Int -> PscPackage -> ShowS # show :: PscPackage -> String # showList :: [PscPackage] -> ShowS #
type Rep PscPackage # |

Instance details

Defined in Spago.PscPackage

type Rep PscPackage = D1 ('MetaData "PscPackage" "Spago.PscPackage" "spago-0.21.0-7wZ2i2dSXT92RnTwenz8EK" 'False) (C1 ('MetaCons "PscPackage" 'PrefixI 'True) ((S1 ('MetaSel ('Just "name") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "set") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)) :*: (S1 ('MetaSel ('Just "source") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "depends") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Text]))))

configPath :: IsString t => t #